# GESTextOverlayClip

Renders text onto the next lower priority stream using textrender.

## GESTextOverlayClip

    GObject
        ╰──GInitiallyUnowned
            ╰──GESTimelineElement
                ╰──GESContainer
                    ╰──GESClip
                        ╰──GESOperationClip
                            ╰──GESOverlayClip
                                ╰──GESTextOverlayClip

### Members

`parent` (GESOverlayClip) –
No description available

### Class structure

#### GESTextOverlayClipClass

### GES.TextOverlayClipClass

## GES.TextOverlayClip

    GObject.Object
        ╰──GObject.InitiallyUnowned
            ╰──GES.TimelineElement
                ╰──GES.Container
                    ╰──GES.Clip
                        ╰──GES.OperationClip
                            ╰──GES.OverlayClip
                                ╰──GES.TextOverlayClip

### Members

`parent` (GES.OverlayClip) –
No description available

## GES.TextOverlayClip

    GObject.Object
        ╰──GObject.InitiallyUnowned
            ╰──GES.TimelineElement
                ╰──GES.Container
                    ╰──GES.Clip
                        ╰──GES.OperationClip
                            ╰──GES.OverlayClip
                                ╰──GES.TextOverlayClip

### Members

`parent` (GES.OverlayClip) –
No description available

### Constructors

#### ges_text_overlay_clip_new

    GESTextOverlayClip *
    ges_text_overlay_clip_new ()

Creates a new GESTextOverlayClip

Returns ( [transfer: floating][nullable]) –

The newly created GESTextOverlayClip, or NULL if there was an error.

#### GES.TextOverlayClip.prototype.new

    function GES.TextOverlayClip.prototype.new(): {
        // javascript wrapper for 'ges_text_overlay_clip_new'
    }

Creates a new GES.TextOverlayClip

Returns (GES.TextOverlayClip) –

The newly created GES.TextOverlayClip, or null if there was an error.

#### GES.TextOverlayClip.new

    def GES.TextOverlayClip.new ():
        #python wrapper for 'ges_text_overlay_clip_new'

Creates a new GES.TextOverlayClip

Returns (GES.TextOverlayClip) –

The newly created GES.TextOverlayClip, or None if there was an error.

### Methods

#### ges_text_overlay_clip_get_color

    const guint32
    ges_text_overlay_clip_get_color (GESTextOverlayClip * self)

Get the color used by source.

Parameters:

`self` –

a GESTextOverlayClip

Returns –

The color used by source.

#### GES.TextOverlayClip.prototype.get_color

    function GES.TextOverlayClip.prototype.get_color(): {
        // javascript wrapper for 'ges_text_overlay_clip_get_color'
    }

Get the color used by source.

Parameters:

`self` (GES.TextOverlayClip) –

a GES.TextOverlayClip

Returns (Number) –

The color used by source.

#### GES.TextOverlayClip.get_color

    def GES.TextOverlayClip.get_color (self):
        #python wrapper for 'ges_text_overlay_clip_get_color'

Get the color used by source.

Parameters:

`self` (GES.TextOverlayClip) –

a GES.TextOverlayClip

Returns (int) –

The color used by source.

#### ges_text_overlay_clip_get_font_desc

    const gchar *
    ges_text_overlay_clip_get_font_desc (GESTextOverlayClip * self)

Get the pango font description used by self.

Parameters:

`self` –

a GESTextOverlayClip

Returns ( [nullable]) –

The pango font description used by self.

#### GES.TextOverlayClip.prototype.get_font_desc

    function GES.TextOverlayClip.prototype.get_font_desc(): {
        // javascript wrapper for 'ges_text_overlay_clip_get_font_desc'
    }

Get the pango font description used by self.

Parameters:

`self` (GES.TextOverlayClip) –

a GES.TextOverlayClip

Returns (String) –

The pango font description used by self.

#### GES.TextOverlayClip.get_font_desc

    def GES.TextOverlayClip.get_font_desc (self):
        #python wrapper for 'ges_text_overlay_clip_get_font_desc'

Get the pango font description used by self.

Parameters:

`self` (GES.TextOverlayClip) –

a GES.TextOverlayClip

Returns (str) –

The pango font description used by self.

#### ges_text_overlay_clip_get_halignment

    GESTextHAlign
    ges_text_overlay_clip_get_halignment (GESTextOverlayClip * self)

Get the horizontal aligment used by self.

Parameters:

`self` –

a GESTextOverlayClip

Returns –

The horizontal aligment used by self.

#### GES.TextOverlayClip.prototype.get_halignment

    function GES.TextOverlayClip.prototype.get_halignment(): {
        // javascript wrapper for 'ges_text_overlay_clip_get_halignment'
    }

Get the horizontal aligment used by self.

Parameters:

`self` (GES.TextOverlayClip) –

a GES.TextOverlayClip

Returns (GES.TextHAlign) –

The horizontal aligment used by self.

#### GES.TextOverlayClip.get_halignment

    def GES.TextOverlayClip.get_halignment (self):
        #python wrapper for 'ges_text_overlay_clip_get_halignment'

Get the horizontal aligment used by self.

Parameters:

`self` (GES.TextOverlayClip) –

a GES.TextOverlayClip

Returns (GES.TextHAlign) –

The horizontal aligment used by self.

#### ges_text_overlay_clip_get_text

    const gchar *
    ges_text_overlay_clip_get_text (GESTextOverlayClip * self)

Get the text currently set on self.

Parameters:

`self` –

a GESTextOverlayClip

Returns ( [nullable]) –

The text currently set on self.

#### GES.TextOverlayClip.prototype.get_text

    function GES.TextOverlayClip.prototype.get_text(): {
        // javascript wrapper for 'ges_text_overlay_clip_get_text'
    }

Get the text currently set on self.

Parameters:

`self` (GES.TextOverlayClip) –

a GES.TextOverlayClip

Returns (String) –

The text currently set on self.

#### GES.TextOverlayClip.get_text

    def GES.TextOverlayClip.get_text (self):
        #python wrapper for 'ges_text_overlay_clip_get_text'

Get the text currently set on self.

Parameters:

`self` (GES.TextOverlayClip) –

a GES.TextOverlayClip

Returns (str) –

The text currently set on self.

#### ges_text_overlay_clip_get_valignment

    GESTextVAlign
    ges_text_overlay_clip_get_valignment (GESTextOverlayClip * self)

Get the vertical aligment used by self.

Parameters:

`self` –

a GESTextOverlayClip

Returns –

The vertical aligment used by self.

#### GES.TextOverlayClip.prototype.get_valignment

    function GES.TextOverlayClip.prototype.get_valignment(): {
        // javascript wrapper for 'ges_text_overlay_clip_get_valignment'
    }

Get the vertical aligment used by self.

Parameters:

`self` (GES.TextOverlayClip) –

a GES.TextOverlayClip

Returns (GES.TextVAlign) –

The vertical aligment used by self.

#### GES.TextOverlayClip.get_valignment

    def GES.TextOverlayClip.get_valignment (self):
        #python wrapper for 'ges_text_overlay_clip_get_valignment'

Get the vertical aligment used by self.

Parameters:

`self` (GES.TextOverlayClip) –

a GES.TextOverlayClip

Returns (GES.TextVAlign) –

The vertical aligment used by self.

#### ges_text_overlay_clip_get_xpos

    const gdouble
    ges_text_overlay_clip_get_xpos (GESTextOverlayClip * self)

Get the horizontal position used by source.

Parameters:

`self` –

a GESTextOverlayClip

Returns –

The horizontal position used by source.

#### GES.TextOverlayClip.prototype.get_xpos

    function GES.TextOverlayClip.prototype.get_xpos(): {
        // javascript wrapper for 'ges_text_overlay_clip_get_xpos'
    }

Get the horizontal position used by source.

Parameters:

`self` (GES.TextOverlayClip) –

a GES.TextOverlayClip

Returns (Number) –

The horizontal position used by source.

#### GES.TextOverlayClip.get_xpos

    def GES.TextOverlayClip.get_xpos (self):
        #python wrapper for 'ges_text_overlay_clip_get_xpos'

Get the horizontal position used by source.

Parameters:

`self` (GES.TextOverlayClip) –

a GES.TextOverlayClip

Returns (float) –

The horizontal position used by source.

#### ges_text_overlay_clip_get_ypos

    const gdouble
    ges_text_overlay_clip_get_ypos (GESTextOverlayClip * self)

Get the vertical position used by source.

Parameters:

`self` –

a GESTextOverlayClip

Returns –

The vertical position used by source.

#### GES.TextOverlayClip.prototype.get_ypos

    function GES.TextOverlayClip.prototype.get_ypos(): {
        // javascript wrapper for 'ges_text_overlay_clip_get_ypos'
    }

Get the vertical position used by source.

Parameters:

`self` (GES.TextOverlayClip) –

a GES.TextOverlayClip

Returns (Number) –

The vertical position used by source.

#### GES.TextOverlayClip.get_ypos

    def GES.TextOverlayClip.get_ypos (self):
        #python wrapper for 'ges_text_overlay_clip_get_ypos'

Get the vertical position used by source.

Parameters:

`self` (GES.TextOverlayClip) –

a GES.TextOverlayClip

Returns (float) –

The vertical position used by source.

#### ges_text_overlay_clip_set_color

    ges_text_overlay_clip_set_color (GESTextOverlayClip * self,
                                     guint32 color)

Sets the color of the text.

Parameters:

`self` –

the GESTextOverlayClip* to set

`color` –

The color self is being set to

#### GES.TextOverlayClip.prototype.set_color

    function GES.TextOverlayClip.prototype.set_color(color: Number): {
        // javascript wrapper for 'ges_text_overlay_clip_set_color'
    }

Sets the color of the text.

Parameters:

`self` (GES.TextOverlayClip) –

the GES.TextOverlayClip* to set

`color` (Number) –

The color self is being set to

#### GES.TextOverlayClip.set_color

    def GES.TextOverlayClip.set_color (self, color):
        #python wrapper for 'ges_text_overlay_clip_set_color'

Sets the color of the text.

Parameters:

`self` (GES.TextOverlayClip) –

the GES.TextOverlayClip* to set

`color` (int) –

The color self is being set to

#### ges_text_overlay_clip_set_font_desc

    ges_text_overlay_clip_set_font_desc (GESTextOverlayClip * self,
                                         const gchar * font_desc)

Sets the pango font description of the text

Parameters:

`self` –

the GESTextOverlayClip*

`font_desc` ( [nullable]) –

the pango font description

#### GES.TextOverlayClip.prototype.set_font_desc

    function GES.TextOverlayClip.prototype.set_font_desc(font_desc: String): {
        // javascript wrapper for 'ges_text_overlay_clip_set_font_desc'
    }

Sets the pango font description of the text

Parameters:

`self` (GES.TextOverlayClip) –

the GES.TextOverlayClip*

`font_desc` (String) –

the pango font description

#### GES.TextOverlayClip.set_font_desc

    def GES.TextOverlayClip.set_font_desc (self, font_desc):
        #python wrapper for 'ges_text_overlay_clip_set_font_desc'

Sets the pango font description of the text

Parameters:

`self` (GES.TextOverlayClip) –

the GES.TextOverlayClip*

`font_desc` (str) –

the pango font description

#### ges_text_overlay_clip_set_halign

    ges_text_overlay_clip_set_halign (GESTextOverlayClip * self,
                                      GESTextHAlign halign)

Sets the horizontal aligment of the text.

Parameters:

`self` –

the GESTextOverlayClip* to set horizontal alignement of text on

`halign` –

GESTextHAlign

#### GES.TextOverlayClip.prototype.set_halign

    function GES.TextOverlayClip.prototype.set_halign(halign: GES.TextHAlign): {
        // javascript wrapper for 'ges_text_overlay_clip_set_halign'
    }

Sets the horizontal aligment of the text.

Parameters:

`self` (GES.TextOverlayClip) –

the GES.TextOverlayClip* to set horizontal alignement of text on

`halign` (GES.TextHAlign) –

GES.TextHAlign

#### GES.TextOverlayClip.set_halign

    def GES.TextOverlayClip.set_halign (self, halign):
        #python wrapper for 'ges_text_overlay_clip_set_halign'

Sets the horizontal aligment of the text.

Parameters:

`self` (GES.TextOverlayClip) –

the GES.TextOverlayClip* to set horizontal alignement of text on

`halign` (GES.TextHAlign) –

GES.TextHAlign

#### ges_text_overlay_clip_set_text

    ges_text_overlay_clip_set_text (GESTextOverlayClip * self,
                                    const gchar * text)

Sets the text this clip will render.

Parameters:

`self` –

the GESTextOverlayClip* to set text on

`text` ( [nullable]) –

the text to render. an internal copy of this text will be made.

#### GES.TextOverlayClip.prototype.set_text

    function GES.TextOverlayClip.prototype.set_text(text: String): {
        // javascript wrapper for 'ges_text_overlay_clip_set_text'
    }

Sets the text this clip will render.

Parameters:

`self` (GES.TextOverlayClip) –

the GES.TextOverlayClip* to set text on

`text` (String) –

the text to render. an internal copy of this text will be made.

#### GES.TextOverlayClip.set_text

    def GES.TextOverlayClip.set_text (self, text):
        #python wrapper for 'ges_text_overlay_clip_set_text'

Sets the text this clip will render.

Parameters:

`self` (GES.TextOverlayClip) –

the GES.TextOverlayClip* to set text on

`text` (str) –

the text to render. an internal copy of this text will be made.

#### ges_text_overlay_clip_set_valign

    ges_text_overlay_clip_set_valign (GESTextOverlayClip * self,
                                      GESTextVAlign valign)

Sets the vertical aligment of the text.

Parameters:

`self` –

the GESTextOverlayClip* to set vertical alignement of text on

`valign` –

GESTextVAlign

#### GES.TextOverlayClip.prototype.set_valign

    function GES.TextOverlayClip.prototype.set_valign(valign: GES.TextVAlign): {
        // javascript wrapper for 'ges_text_overlay_clip_set_valign'
    }

Sets the vertical aligment of the text.

Parameters:

`self` (GES.TextOverlayClip) –

the GES.TextOverlayClip* to set vertical alignement of text on

`valign` (GES.TextVAlign) –

GES.TextVAlign

#### GES.TextOverlayClip.set_valign

    def GES.TextOverlayClip.set_valign (self, valign):
        #python wrapper for 'ges_text_overlay_clip_set_valign'

Sets the vertical aligment of the text.

Parameters:

`self` (GES.TextOverlayClip) –

the GES.TextOverlayClip* to set vertical alignement of text on

`valign` (GES.TextVAlign) –

GES.TextVAlign

#### ges_text_overlay_clip_set_xpos

    ges_text_overlay_clip_set_xpos (GESTextOverlayClip * self,
                                    gdouble position)

Sets the horizontal position of the text.

Parameters:

`self` –

the GESTextOverlayClip* to set

`position` –

The horizontal position self is being set to

#### GES.TextOverlayClip.prototype.set_xpos

    function GES.TextOverlayClip.prototype.set_xpos(position: Number): {
        // javascript wrapper for 'ges_text_overlay_clip_set_xpos'
    }

Sets the horizontal position of the text.

Parameters:

`self` (GES.TextOverlayClip) –

the GES.TextOverlayClip* to set

`position` (Number) –

The horizontal position self is being set to

#### GES.TextOverlayClip.set_xpos

    def GES.TextOverlayClip.set_xpos (self, position):
        #python wrapper for 'ges_text_overlay_clip_set_xpos'

Sets the horizontal position of the text.

Parameters:

`self` (GES.TextOverlayClip) –

the GES.TextOverlayClip* to set

`position` (float) –

The horizontal position self is being set to

#### ges_text_overlay_clip_set_ypos

    ges_text_overlay_clip_set_ypos (GESTextOverlayClip * self,
                                    gdouble position)

Sets the vertical position of the text.

Parameters:

`self` –

the GESTextOverlayClip* to set

`position` –

The vertical position self is being set to

#### GES.TextOverlayClip.prototype.set_ypos

    function GES.TextOverlayClip.prototype.set_ypos(position: Number): {
        // javascript wrapper for 'ges_text_overlay_clip_set_ypos'
    }

Sets the vertical position of the text.

Parameters:

`self` (GES.TextOverlayClip) –

the GES.TextOverlayClip* to set

`position` (Number) –

The vertical position self is being set to

#### GES.TextOverlayClip.set_ypos

    def GES.TextOverlayClip.set_ypos (self, position):
        #python wrapper for 'ges_text_overlay_clip_set_ypos'

Sets the vertical position of the text.

Parameters:

`self` (GES.TextOverlayClip) –

the GES.TextOverlayClip* to set

`position` (float) –

The vertical position self is being set to

### Properties

#### color

    “color” guint

The color of the text

Flags : Read / Write / Construct

#### color

    “color” Number

The color of the text

Flags : Read / Write / Construct

#### color

    “self.props.color” int

The color of the text

Flags : Read / Write / Construct

#### font-desc

    “font-desc” gchar *

Pango font description string

Flags : Read / Write / Construct

#### font-desc

    “font-desc” String

Pango font description string

Flags : Read / Write / Construct

#### font_desc

    “self.props.font_desc” str

Pango font description string

Flags : Read / Write / Construct

#### halignment

    “halignment” GESTextHAlign *

Horizontal alignment of the text

Flags : Read / Write / Construct

#### halignment

    “halignment” GES.TextHAlign

Horizontal alignment of the text

Flags : Read / Write / Construct

#### halignment

    “self.props.halignment” GES.TextHAlign

Horizontal alignment of the text

Flags : Read / Write / Construct

#### text

    “text” gchar *

The text to diplay

Flags : Read / Write / Construct

#### text

    “text” String

The text to diplay

Flags : Read / Write / Construct

#### text

    “self.props.text” str

The text to diplay

Flags : Read / Write / Construct

#### valignment

    “valignment” GESTextVAlign *

Vertical alignent of the text

Flags : Read / Write / Construct

#### valignment

    “valignment” GES.TextVAlign

Vertical alignent of the text

Flags : Read / Write / Construct

#### valignment

    “self.props.valignment” GES.TextVAlign

Vertical alignent of the text

Flags : Read / Write / Construct

#### xpos

    “xpos” gdouble

The horizontal position of the text

Flags : Read / Write / Construct

#### xpos

    “xpos” Number

The horizontal position of the text

Flags : Read / Write / Construct

#### xpos

    “self.props.xpos” float

The horizontal position of the text

Flags : Read / Write / Construct

#### ypos

    “ypos” gdouble

The vertical position of the text

Flags : Read / Write / Construct

#### ypos

    “ypos” Number

The vertical position of the text

Flags : Read / Write / Construct

#### ypos

    “self.props.ypos” float

The vertical position of the text

Flags : Read / Write / Construct

## Constants

### GES_TYPE_OVERLAY_TEXT_CLIP

    #define GES_TYPE_OVERLAY_TEXT_CLIP ges_text_overlay_clip_get_type()

The results of the search are